require 'json'


MyApp.add_route('GET', '/api/balance', {
  "resourcePath" => "/",
  "summary" => "Аккаунт: баланс",
  "nickname" => "balance_get", 
  "responseClass" => "number", 
  "endpoint" => "/balance", 
  "notes" => "Возвращает текущий баланс аккаунта",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/balance.lic', {
  "resourcePath" => "/",
  "summary" => "Аккаунт: баланс аккаунта лицензий",
  "nickname" => "balance_lic_get", 
  "responseClass" => "number", 
  "endpoint" => "/balance.lic", 
  "notes" => "Возвращает текущий баланс аккаунта лицензий",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/billing/debt', {
  "resourcePath" => "/",
  "summary" => "Информация по дебету аккаунта",
  "nickname" => "billing_debt_get", 
  "responseClass" => "array[inline_response_200]", 
  "endpoint" => "/billing/debt", 
  "notes" => "Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/billing/info', {
  "resourcePath" => "/",
  "summary" => "Информация об аккаунте",
  "nickname" => "billing_info_get", 
  "responseClass" => "array[inline_response_200_1]", 
  "endpoint" => "/billing/info", 
  "notes" => "Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/billing/limits', {
  "resourcePath" => "/",
  "summary" => "Получить ограничения аккаунта",
  "nickname" => "billing_limits_get", 
  "responseClass" => " ", 
  "endpoint" => "/billing/limits", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/dns/prolong/list', {
  "resourcePath" => "/",
  "summary" => "Информация по продлению доменов",
  "nickname" => "dns_prolong_list_get", 
  "responseClass" => "array[inline_response_200_4]", 
  "endpoint" => "/dns/prolong/list", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/email/add', {
  "resourcePath" => "/",
  "summary" => "Создание почтового ящика",
  "nickname" => "email_add_get", 
  "responseClass" => "string", 
  "endpoint" => "/email/add", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "add_email",
      "description" => "Адрес почтового ящика, который необходимо создать",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/email/alias/delete', {
  "resourcePath" => "/",
  "summary" => "Удаление псевдонимов почтовых ящиков",
  "nickname" => "email_alias_delete_get", 
  "responseClass" => "string", 
  "endpoint" => "/email/alias/delete", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "Адрес почтового ящика, подлежащего удалению",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/email/alias/list', {
  "resourcePath" => "/",
  "summary" => "Получить список псевдонимов почтовых ящиков",
  "nickname" => "email_alias_list_get", 
  "responseClass" => "array[inline_response_200_5]", 
  "endpoint" => "/email/alias/list", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/email/delete', {
  "resourcePath" => "/",
  "summary" => "Удаление почтового ящика",
  "nickname" => "email_delete_get", 
  "responseClass" => "string", 
  "endpoint" => "/email/delete", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "Адрес почтового ящика, подлежащего удалению",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/email/list', {
  "resourcePath" => "/",
  "summary" => "Получить список почтовых ящиков",
  "nickname" => "email_list_get", 
  "responseClass" => "array[inline_response_200_6]", 
  "endpoint" => "/email/list", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/updates/last', {
  "resourcePath" => "/",
  "summary" => "Идентификатор последнего уведомления в аудите",
  "nickname" => "updates_last_get", 
  "responseClass" => "int", 
  "endpoint" => "/updates/last", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/updates/list', {
  "resourcePath" => "/",
  "summary" => "Список записей аудита",
  "nickname" => "updates_list_get", 
  "responseClass" => "array[inline_response_200_10]", 
  "endpoint" => "/updates/list", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID первой записи для показа или 0 для показа всех записей",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/website/delete', {
  "resourcePath" => "/",
  "summary" => "Удаление сайта",
  "nickname" => "website_delete_get", 
  "responseClass" => "string", 
  "endpoint" => "/website/delete", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID сайта, полученный из /website/list",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/website/list', {
  "resourcePath" => "/",
  "summary" => "Список сайтов аккаунта",
  "nickname" => "website_list_get", 
  "responseClass" => "array[inline_response_200_14]", 
  "endpoint" => "/website/list", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end

