require 'json'


MyApp.add_route('POST', '/api/auth/login', {
  "resourcePath" => "/AuthAPI",
  "summary" => "Получить ключ доступа",
  "nickname" => "auth_login_post", 
  "responseClass" => "string", 
  "endpoint" => "/auth/login", 
  "notes" => "Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API  (параметр 'token'). Для вычисления значения параметра 'response' необходимо получить представленную в hex MD5-сумму от  объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:  hex(md5(password&nbsp;+&nbsp;salt&nbsp;+&nbsp;'\\n'))",
  "parameters" => [
    {
      "name" => "login",
      "description" => "Имя пользователя",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "salt",
      "description" => "Соль (см. /auth/start)",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "response",
      "description" => "Вычисленный хэш",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/auth/start', {
  "resourcePath" => "/AuthAPI",
  "summary" => "Получить соль",
  "nickname" => "auth_start_get", 
  "responseClass" => "string", 
  "endpoint" => "/auth/start", 
  "notes" => "Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется  во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров.",
  "parameters" => [
    {
      "name" => "login",
      "description" => "Имя пользователя",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end

