require 'json'


MyApp.add_route('GET', '/api/dns/add', {
  "resourcePath" => "/DNS",
  "summary" => "Создание записи домена",
  "nickname" => "dns_add_get", 
  "responseClass" => "string", 
  "endpoint" => "/dns/add", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "add_dns_zone",
      "description" => "зона, которую необходимо создать",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "add_dns_record",
      "description" => "",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "iis_site_for_dns",
      "description" => "ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "bind_only",
      "description" => "",
      "dataType" => "boolean",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/dns/bind', {
  "resourcePath" => "/DNS",
  "summary" => "Привязка одного домена к другому",
  "nickname" => "dns_bind_get", 
  "responseClass" => "string", 
  "endpoint" => "/dns/bind", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID домена из списка /dns/list",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "bind_to",
      "description" => "домен, к которому необходимо сделать привязку",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/dns/list', {
  "resourcePath" => "/DNS",
  "summary" => "Получить список доменных имён",
  "nickname" => "dns_list_get", 
  "responseClass" => "array[inline_response_200_3]", 
  "endpoint" => "/dns/list", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/dns/prolong/list', {
  "resourcePath" => "/DNS",
  "summary" => "Информация по продлению доменов",
  "nickname" => "dns_prolong_list_get", 
  "responseClass" => "array[inline_response_200_4]", 
  "endpoint" => "/dns/prolong/list", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/dns/raw', {
  "resourcePath" => "/DNS",
  "summary" => "Редактирование \"сырой\" зоны",
  "nickname" => "dns_raw_get", 
  "responseClass" => "string", 
  "endpoint" => "/dns/raw", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID домена из /dns/list",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "s_del",
      "description" => "Значение &#39;1&#39; сообщает, что запись необходимо удалить",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "s_add",
      "description" => "Значение &#39;1&#39; сообщает, что запись необходимо создать",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "dns_type",
      "description" => "Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "dns_name",
      "description" => "Имя записи, либо &#39;@&#39; для корневой",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "dns_value",
      "description" => "Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение)",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/dns/raw/managedmx', {
  "resourcePath" => "/DNS",
  "summary" => "Редактировать DNS-зону",
  "nickname" => "dns_raw_managedmx_get", 
  "responseClass" => "string", 
  "endpoint" => "/dns/raw/managedmx", 
  "notes" => "",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID домена из /dns/list",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "managed_mx",
      "description" => "Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "upd_managed_mx",
      "description" => "Значение &#39;1&#39; подтверждает операцию",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end

