require 'json'


MyApp.add_route('GET', '/api/database/list', {
  "resourcePath" => "/MySQLPostgres",
  "summary" => "Список аккаунтов в базах данных UNIX",
  "nickname" => "database_list_get", 
  "responseClass" => "array[inline_response_200_2]", 
  "endpoint" => "/database/list", 
  "notes" => "Возвращает список зарегистрированных аккаунтов в базах данных MySQL и Postgres. Для вычисления имени домена необходимо объединить имя базы данных,   идентификатор сервера и суффикс (поле url_suffix). Например, если ID сервера равен 123 (значит это MySQL — см. описание поля 'server' в ответе), а суффикс равен '1gb.ru', то домен   для доступа будет равен 'mysql123.1gb.ru'.",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end

