require 'json'


MyApp.add_route('GET', '/api/vds/create', {
  "resourcePath" => "/VDSHyperVOpenVZ",
  "summary" => "Изменение параметров VDS",
  "nickname" => "vds_create_get", 
  "responseClass" => "string", 
  "endpoint" => "/vds/create", 
  "notes" => "Изменение параметров уже существующего VDS",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "type",
      "description" => "Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39;",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "cr_hvmem",
      "description" => "Количество доступной памяти в мегабайтах. По умолчанию 2048",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "cr_hvdsk",
      "description" => "Количество доступных гигабайт диска. По умолчанию 30",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "cr_hvcpu",
      "description" => "Количество ядер CPU. По умолчанию 2",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "template",
      "description" => "Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "force_memo",
      "description" => "",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "hv_1gb_panel_version",
      "description" => "",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "panel_install",
      "description" => "Необходимо ли установить панель 1Gb на VDS",
      "dataType" => "boolean",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "cr_ssd1",
      "description" => "Создать всю систему на SSD",
      "dataType" => "boolean",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "cr_hv_all_system",
      "description" => "Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными)",
      "dataType" => "boolean",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/vds/delete', {
  "resourcePath" => "/VDSHyperVOpenVZ",
  "summary" => "Удаление VDS",
  "nickname" => "vds_delete_get", 
  "responseClass" => "string", 
  "endpoint" => "/vds/delete", 
  "notes" => "Предоставляет функционал для удаления VDS",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID виртуального сервера, полученный из /vds/list",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "force_critical",
      "description" => "Если true, VDS будет удален срочно",
      "dataType" => "boolean",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/vds/ip/add', {
  "resourcePath" => "/VDSHyperVOpenVZ",
  "summary" => "Добавление IP на VDS",
  "nickname" => "vds_ip_add_get", 
  "responseClass" => "string", 
  "endpoint" => "/vds/ip/add", 
  "notes" => "Этот вызов позволяет добавить ещё один IP адрес на указанный VDS",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID виртуального сервера, полученный из /vds/list",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/vds/ip/delete', {
  "resourcePath" => "/VDSHyperVOpenVZ",
  "summary" => "Удаление IP с VDS",
  "nickname" => "vds_ip_delete_get", 
  "responseClass" => "string", 
  "endpoint" => "/vds/ip/delete", 
  "notes" => "Этот вызов позволяет отвязать IP адрес от VDS",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID виртуального сервера, полученный из /vds/list",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "del_ip",
      "description" => "IP адрес, который необходимо удалить",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/vds/ip/list', {
  "resourcePath" => "/VDSHyperVOpenVZ",
  "summary" => "Список IP-адресов виртуальных серверов",
  "nickname" => "vds_ip_list_get", 
  "responseClass" => "array[inline_response_200_11]", 
  "endpoint" => "/vds/ip/list", 
  "notes" => "Список IP-адресов виртуальных серверов",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID виртуального сервера, полученный из /vds/list",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/vds/list', {
  "resourcePath" => "/VDSHyperVOpenVZ",
  "summary" => "Список виртуальных серверов",
  "nickname" => "vds_list_get", 
  "responseClass" => "array[inline_response_200_12]", 
  "endpoint" => "/vds/list", 
  "notes" => "Позволяет получить список виртуальных серверов",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/vds/reboot', {
  "resourcePath" => "/VDSHyperVOpenVZ",
  "summary" => "Перезагрузка VDS",
  "nickname" => "vds_reboot_get", 
  "responseClass" => "string", 
  "endpoint" => "/vds/reboot", 
  "notes" => "Предоставляет функционал для перезагрузки VDS",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID виртуального сервера, полученный из /vds/list",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/vds/templates-list', {
  "resourcePath" => "/VDSHyperVOpenVZ",
  "summary" => "Список шаблонов виртуальных серверов",
  "nickname" => "vds_templates_list_get", 
  "responseClass" => "array[inline_response_200_13]", 
  "endpoint" => "/vds/templates-list", 
  "notes" => "Позволяет получить список шаблонов виртуальных серверов",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end


MyApp.add_route('GET', '/api/vds/update', {
  "resourcePath" => "/VDSHyperVOpenVZ",
  "summary" => "Создание VDS",
  "nickname" => "vds_update_get", 
  "responseClass" => "string", 
  "endpoint" => "/vds/update", 
  "notes" => "Создание новых VDS с произвольными характеристиками",
  "parameters" => [
    {
      "name" => "_token_",
      "description" => "Ключ доступа, полученный при авторизации",
      "dataType" => "string",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "_key_",
      "description" => "ID виртуального сервера, полученный из /vds/list",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "cr_hvmem",
      "description" => "Количество доступной памяти в мегабайтах. По умолчанию 2048",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "cr_hvdsk",
      "description" => "Количество доступных гигабайт диска. По умолчанию 30",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    {
      "name" => "cr_hvcpu",
      "description" => "Количество ядер CPU. По умолчанию 2",
      "dataType" => "int",
      "paramType" => "query",
      
      "allowableValues" => "",
      
    },
    ]}) do
  cross_origin
  # the guts live here

  {"message" => "yes, it worked"}.to_json
end

